cmake_minimum_required(VERSION 3.0)

project(breakout)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++2a -g -Wall -Wno-volatile -O0 -pipe")
set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

include_directories(${CMAKE_SOURCE_DIR}/dependencies/include)
link_directories(${CMAKE_SOURCE_DIR}/dependencies/library)
file(GLOB SOURCES "${CMAKE_SOURCE_DIR}/breakout/*.cpp" "${CMAKE_SOURCE_DIR}/breakout/*.hpp" "${CMAKE_SOURCE_DIR}/breakout/*.h" "${CMAKE_SOURCE_DIR}/breakout/*.c" "${CMAKE_SOURCE_DIR}/breakout/glad.c")

add_executable(breakout ${SOURCES})

target_link_libraries(breakout glut glfw GLU GL m dl)
